Submit a batch of events for testing
curl --request POST \
--url https://connect.withvayu.com/events/dry-run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
{
"name": "api_call",
"timestamp": "2023-09-13T18:25:43.511Z",
"customerAlias": "customer_12345",
"ref": "4f6cf35x-2c4y-483z-a0a9-158621f77a21",
"data": {
"key1": "processing_duration",
"key2": "api_url"
}
}
]
}
'import requests
url = "https://connect.withvayu.com/events/dry-run"
payload = { "events": [
{
"name": "api_call",
"timestamp": "2023-09-13T18:25:43.511Z",
"customerAlias": "customer_12345",
"ref": "4f6cf35x-2c4y-483z-a0a9-158621f77a21",
"data": {
"key1": "processing_duration",
"key2": "api_url"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
events: [
{
name: 'api_call',
timestamp: '2023-09-13T18:25:43.511Z',
customerAlias: 'customer_12345',
ref: '4f6cf35x-2c4y-483z-a0a9-158621f77a21',
data: {key1: 'processing_duration', key2: 'api_url'}
}
]
})
};
fetch('https://connect.withvayu.com/events/dry-run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"event": {
"timestamp": "2023-11-07T05:31:56Z",
"customerAlias": "<string>",
"accountId": "<string>",
"ref": "<string>",
"name": "<string>",
"data": {}
},
"meterWithValues": [
{
"name": "<string>",
"eventName": "<string>",
"aggregationMethod": {
"field": "<string>",
"instanceKey": "<string>"
},
"value": 123,
"filter": {
"conditions": [
{
"criterions": [
{
"field": "<string>",
"value": "<string>"
}
]
}
]
},
"instanceValue": null
}
],
"matchedCustomer": "<string>"
}
]
}{
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"params": [
{
"param": "<string>",
"message": "<string>"
}
]
}{
"type": "authentication_error",
"code": "authentication_failed",
"message": "<string>"
}{
"type": "invalid_request_error",
"code": "request_too_large",
"message": "<string>"
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "<string>"
}{
"type": "api_error",
"code": "internal_error",
"message": "<string>"
}Events
Submit a batch of events for testing
Use this endpoint to send an array of events for processing. Make sure to comply with the request schema for each event. NOTE: this is a dry run and will not result in actual storage of the events.
POST
/
events
/
dry-run
Submit a batch of events for testing
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
An array of events following the EventInput schema. This request body should be included in the PUT request to '/events' Up to 1000 events or a total payload max size of 256KB
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Response
Events with their corresponding meter and customer data.
Show child attributes
Show child attributes
⌘I
